# Action::Modify Class Reference

Modify the Exif data according to the commands in the modification table. More...

`#include <actions.hpp>`

Inheritance diagram for Action::Modify:

[legend]
Collaboration diagram for Action::Modify:

[legend]
List of all members.

## Public Types

typedef std::auto_ptr< Modify > | AutoPtr
| Shortcut for an auto pointer.

## Public Member Functions

virtual int | run (const std::string &path)
| Application interface to perform a task.
AutoPtr | clone () const
| Virtual copy construction.

## Detailed Description

Modify the Exif data according to the commands in the modification table.

## Member Function Documentation

int Action::Modify::run | ( | const std::string & | path | ) | `[virtual]`

Application interface to perform a task.

Parameters:

  | path | Path of the file to process.

Returns:
  0 if successful.

Implements Action::Task.

The documentation for this class was generated from the following files:

- actions.hpp
- actions.cpp